Epoch: 1

%define fedora          1
%define redhat          0
%if %{fedora}
%define gcj_support     1
%else
%define gcj_support     0
%endif

%define eclipse_name	eclipse
%define eclipse_base	%{_datadir}/%{eclipse_name}

Name:           eclipse-changelog
Version:        2.3.3
Release:        %mkrel 1.1
Summary:        Eclipse ChangeLog plug-in

Group:          Development/Java
License:        CPL
URL:            http://sources.redhat.com/eclipse/

Source0:	%{name}-src-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:		eclipse-pde >= 1:3.2.0
BuildRequires:		eclipse-cdt
%if %{gcj_support}
BuildRequires:		gcc-java >= 0:4.0.2
BuildRequires:		java-gcj-compat-devel
Requires(post):		java-gcj-compat
Requires(postun):	java-gcj-compat
%else
BuildRequires:		java-devel >= 0:1.4.2
%endif

# this plugins is really noarch but it needs cdt which 
# we only build on these architectures.
%if %{gcj_support}
ExclusiveArch: %{ix86} x86_64 ppc ia64
%else
ExclusiveArch: %{ix86} x86_64 ppc ia64
%endif

Requires:       	eclipse-platform >= 1:3.2.0

%description
The Eclipse ChangeLog package contains Eclipse features and plugins that are
useful for ChangeLog maintenance within the Eclipse IDE.

%prep
%setup -q -c -n eclipse-changelog-%{version}


%build
# See comments in the script to understand this.
/bin/sh -x %{eclipse_base}/buildscripts/copy-platform SDK %{eclipse_base} cdt
SDK=$(cd SDK > /dev/null && pwd)

# Eclipse may try to write to the home directory.
mkdir home
homedir=$(cd home > /dev/null && pwd)

# build the main phpeclips feature
%{java} -cp %{eclipse_base}/startup.jar                \
     -Duser.home=$homedir                              \
     org.eclipse.core.launcher.Main                    \
     -application org.eclipse.ant.core.antRunner       \
     -Dtype=feature                                    \
     -Did=com.redhat.eclipse.changelog 		       \
     -DsourceDirectory=$(pwd)                          \
     -DbaseLocation=$SDK                               \
     -Dbuilder=%{eclipse_base}/plugins/org.eclipse.pde.build/templates/package-build  \
     -f %{eclipse_base}/plugins/org.eclipse.pde.build/scripts/build.xml

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{eclipse_base}
unzip -q -d $RPM_BUILD_ROOT%{eclipse_base}/.. build/rpmBuild/com.redhat.eclipse.changelog.zip

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{clean_gcjdb}
%endif

%files
%defattr(-,root,root)
%{eclipse_base}/features/com.redhat.eclipse.changelog*
%{eclipse_base}/plugins/com.redhat.eclipse.changelog*
%if %{gcj_support}
%{_libdir}/gcj/%{name}/*
%endif


%changelog
* Sat Nov 04 2006 David Walluck <walluck@mandriva.org> 2.3.3-1.1mdv2007.0
+ Revision: 76435
- 2.3.3
- Import eclipse-changelog



* Fri Aug 04 2006 David Walluck <walluck@mandriva.org> 0:2.2.0-2mdv2007.0
- 2.2.0

* Sun Jul 09 2006 David Walluck <walluck@mandriva.org> 0:2.0.1-6mdv2007.0
- rebuild for new eclipse

* Sun Jun 04 2006 David Walluck <walluck@mandriva.org> 0:2.0.1-5mdv2007.0
- rebuild for libgcj.so.7

* Sat Mar 25 2006 David Walluck <walluck@mandriva.org> 0:2.0.1-4mdk
- rebuild

* Mon Feb 13 2006 David Walluck <walluck@mandriva.org> 0:2.0.1-3mdk
- fix build

* Wed Nov 02 2005 David Walluck <walluck@mandriva.org> 0:2.0.1-2mdk
- fix BuildRequires

* Fri Sep 02 2005 David Walluck <walluck@mandriva.org> 0:2.0.1-1mdk
- release

* Thu Jul 14 2005 Andrew Overholt <overholt@redhat.com> 2.0.1_fc-22
- Make use of new aot-compile-rpm.
- Bump appropriate requirements.
- Add patches to fix what output format should be (.tar.gz).

* Tue Apr 26 2005 Andrew Overholt <overholt@redhat.com> 2.0.1_fc-21
- Re-organize and make use of scripts.

* Wed Apr 20 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1_fc-20
- Fixed SDK symlink so Python parser will build
- Remove -DjavacFailOnError=false from java -cp command

* Sun Apr 03 2005 Andrew Overholt <overholt@redhat.com> 2.0.1_fc-19
- Make use of rebuild-gcj-db.
- Use system-wide classmap.db.

* Wed Mar 23 2005 Andrew Overholt <overholt@redhat.com> 2.0.1_fc-18
- Update with new gcj-dbtool stuff.
- Fix Requires.
- Remove *.jarswithnativelibs.

* Thu Mar 10 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-17
- Redo arches
- Clean up BuildRequires

* Sat Mar 5 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-16
- Added BuildRequires eclipse-pydev
- Added BuildRequires eclipse-cdt
- Removed -g gcc option

* Fri Mar 4 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-15
- Added python(pydev) parser to core
- Addex x86_64 back to ExclusiveArch		

* Thu Mar 3 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-12
- Fixed archs for Fedora Core

* Wed Mar 2 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-11
- Added ppc to arch, exclusive arch
- Converted gcj-dbtool4 to gcj-dbtool

* Wed Mar 2 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-9..10
- Added overholt@redhat.com patch to make 64 bit lib safe
- Changed license to EPL 
- Fixed GCC4 -> GCC

* Tue Mar 1 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-8
- Changed Copyright to License

* Mon Feb 28 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-7
- Rewrote gcj-dbtool register on post
- Added merge logic

* Thu Feb 24 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-6
- Rewrite some variables. Redo post. Add postun. Clean up

* Thu Feb 24 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-5
- Touch pde.build.script to point to correct place

* Mon Feb 21 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-4
- Rewrite SPEC for native build. First attempt 

* Wed Nov 10 2004 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-3
- Bugzilla 138545 and 138543
- Touched Release

* Tue Nov 09 2004 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-1
- Updated sources
- Touched Version/Release
- Added BuildRequires eclipse-cdt

* Fri Jul 23 2004 Jeremy Handcock <handcock@redhat.com> 1.1-4
- Require eclipse-ui, not eclipse-platform

* Fri Jul 23 2004 Phil Muldoon <pmuldoon@redhat.com> 1.1-3
- Set user.home (beehive fix)

* Thu Jul 22 2004 Jeremy Handcock <handcock@redhat.com> 1.1-2
- Don't BuildRequires ant
- Correct BuildRequires eclipse -> eclipse-platform
- Don't build on ppc64

* Mon Jul 19 2004 Phil Muldoon <pmuldoon@redhat.com>
- Make platform symlink tree before building
- Removed .so copy (not needed)

* Tue Jul 13 2004 Phil Muldoon <pmuldoon@redhat.com>
- Reworked for 3.0, and 3.0 new build system

* Tue Feb 10 2004 Phil Muldoon <pmuldoon@redhat.com> 1.0.0-1
- Initial version
